BasicBorders.SplitPaneBorder (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicBorders.SplitPaneBorder

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicBorders.SplitPaneBorder

All Implemented Interfaces:
  Border, UIResource

Enclosing class:
  BasicBorders

public static class BasicBorders.SplitPaneBorder
extends Object
implements Border, UIResource

Draws the border around the splitpane. To work correctly you shoudl also install a border on the divider (property SplitPaneDivider.border).

Field Summary
`protected Color` | `highlight`
`protected Color` | `shadow`

Constructor Summary
`BasicBorders.SplitPaneBorder(Color highlight, Color shadow)`

Method Summary
`Insets` | `getBorderInsets(Component c)` Returns the insets of the border.
`boolean` | `isBorderOpaque()` Returns whether or not the border is opaque.
`void` | `paintBorder(Component c, Graphics g, int x, int y, int width, int height)` Paints the border for the specified component with the specified position and size.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### highlight

    protected Color highlight

### shadow

    protected Color shadow

Constructor Detail

### BasicBorders.SplitPaneBorder

    public BasicBorders.SplitPaneBorder(Color highlight,
                                        Color shadow)

Method Detail

### paintBorder

    public void paintBorder(Component c,
                            Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Description copied from interface: `Border`
  Paints the border for the specified component with the specified position and size.

  Specified by:
    `paintBorder` in interface `Border`
  Parameters:
    `c` - the component for which this border is being painted
    `g` - the paint graphics
    `x` - the x position of the painted border
    `y` - the y position of the painted border
    `width` - the width of the painted border
    `height` - the height of the painted border

### getBorderInsets

    public Insets getBorderInsets(Component c)

  Description copied from interface: `Border`
  Returns the insets of the border.

  Specified by:
    `getBorderInsets` in interface `Border`
  Parameters:
    `c` - the component for which this border insets value applies

### isBorderOpaque

    public boolean isBorderOpaque()

  Description copied from interface: `Border`
  Returns whether or not the border is opaque. If the border is opaque, it is responsible for filling in it's own background when painting.

  Specified by:
    `isBorderOpaque` in interface `Border`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.